[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#478517: marked as done (Still missing "--no-download for update" feature)

Your message dated Fri, 02 May 2008 19:17:04 +0000
with message-id <E1Js0ki-0004Gb-MG@ries.debian.org>
and subject line Bug#478517: fixed in apt 0.7.13
has caused the Debian Bug report #478517,
regarding Still missing "--no-download for update" feature
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact owner@bugs.debian.org

478517: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=478517
Debian Bug Tracking System
Contact owner@bugs.debian.org with problems
--- Begin Message ---
Package: apt
Version: 0.7.11
Severity: normal
Tags: patch


two years ago I requested that the --no-download option for apt-get be
extended to also work for "apt-get update". The rational is that I
have a wrapper that filters the downloaded Packages files and then
needs to let apt-get update its database with the altered file.

I wrote a small patch for this in


 apt-get.cc |    5 ++++-
 debian/changelog   |    6 ++++++
 2 files changed, 10 insertions(+), 1 deletion(-)

The ftp-masters have asked the ia32-libs team if we could reduce the
code and source duplication that is ia32-libs and this small feature
is needed to ia32-libs conversions on the fly instead of uploading
dummy packages to the archive. It would save about 440MiB of
duplicated sources and binaries.

So please, please, consider this patch again. My responce 2 years ago
was positive but then nobody added the patch. If you have any problems
applying the old patch I'm happy to update it to the latest apt version.


PS: 2 years ago someone told me a workaround using the python apt
module to update the database without downloads in a private mail I've
lost. Does anyone know how that was done?

-- System Information:
Debian Release: lenny/sid
Architecture: amd64 (x86_64)

Kernel: Linux
Locale: LANG=C, LC_CTYPE=de_DE (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages apt depends on:
ii  debian-archive-keyring   2008.04.16+nmu1 GnuPG archive keys of the Debian a
ii  libc6                    2.7-10          GNU C Library: Shared libraries
ii  libgcc1                  1:4.3.0-3       GCC support library
ii  libstdc++6               4.3.0-3         The GNU Standard C++ Library v3

apt recommends no packages.

-- no debconf information

--- End Message ---
--- Begin Message ---
Source: apt
Source-Version: 0.7.13

We believe that the bug you reported is fixed in the latest version of
apt, which is due to be installed in the Debian FTP archive:

  to pool/main/a/apt/apt-doc_0.7.13_all.deb
  to pool/main/a/apt/apt-transport-https_0.7.13_amd64.deb
  to pool/main/a/apt/apt-utils_0.7.13_amd64.deb
  to pool/main/a/apt/apt_0.7.13.dsc
  to pool/main/a/apt/apt_0.7.13.tar.gz
  to pool/main/a/apt/apt_0.7.13_amd64.deb
  to pool/main/a/apt/libapt-pkg-dev_0.7.13_amd64.deb
  to pool/main/a/apt/libapt-pkg-doc_0.7.13_all.deb

A summary of the changes between this version and the previous one is

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 478517@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
Otavio Salvador <otavio@debian.org> (supplier of updated apt package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)

Hash: SHA1

Format: 1.8
Date: Fri, 02 May 2008 14:46:00 -0300
Source: apt
Binary: apt apt-doc libapt-pkg-dev libapt-pkg-doc apt-utils apt-transport-https
Architecture: source all amd64
Version: 0.7.13
Distribution: unstable
Urgency: low
Maintainer: APT Development Team <deity@lists.debian.org>
Changed-By: Otavio Salvador <otavio@debian.org>
 apt        - Advanced front-end for dpkg
 apt-doc    - Documentation for APT
 apt-transport-https - APT https transport
 apt-utils  - APT utility programs
 libapt-pkg-dev - Development files for APT's libapt-pkg and libapt-inst
 libapt-pkg-doc - Documentation for APT development
Closes: 459344 478231 478517 479008
 apt (0.7.13) unstable; urgency=low
   [ Otavio Salvador ]
   * Add missing build-depends back from build-depends-indep field.
     Closes: #478231
   * Make cron script quiet if cache is locked. Thanks to Ted Percival
     <ted@midg3t.net> for the patch. Closes: #459344
   * Add timeout support for https. Thanks to Andrew Martens
     <andrew.martens@strangeloopnetworks.com> for the patch.
   [ Goswin von Brederlow ]
   * Add support for --no-download on apt-get update. Closes: #478517
   [ Program translations ]
     - Vietnamese updated. Closes: #479008
 bae8d9eaa378fa1597d86584fb41f7cc7e4b4d3e 1147 apt_0.7.13.dsc
 65e161410667e3444785161585a86bc95da81e79 1837918 apt_0.7.13.tar.gz
 1d17ea855fb6d1f8ddda0e20fa97005bd039d305 95552 apt-doc_0.7.13_all.deb
 2ee8443966f9c9ffab49aa77b13cf2949abc670e 116084 libapt-pkg-doc_0.7.13_all.deb
 dbf8fe00544a70f2020ed10b9810d447c91a0282 1626298 apt_0.7.13_amd64.deb
 b4b96c568a853c4a05634e1f909456a85db09903 106562 libapt-pkg-dev_0.7.13_amd64.deb
 3cfbc46fc3855b55c819fc83e6c40bf41d57f47f 195072 apt-utils_0.7.13_amd64.deb
 b2b7ca359b1265a5c9bd7fea1760f5fb48b2c6c4 55292 apt-transport-https_0.7.13_amd64.deb
 9e8fc20c2585a47f71ced5f6259cd6fcf419186d47966a82de757773f641fb0c 1147 apt_0.7.13.dsc
 2cbc727fde6722145c069dba6edbd910ad50bab77ee0a17064bf8e08043476fa 1837918 apt_0.7.13.tar.gz
 5dc3f9491ae3915cde00972b471ab95270cac472fe0d79044424ede823ce70ef 95552 apt-doc_0.7.13_all.deb
 098e31019ae890ece68a56e2937f388042ea442e11a08e360c97399700d4b53a 116084 libapt-pkg-doc_0.7.13_all.deb
 fe16f8261bcc5656766703d5484dc73885053be020b34911bce92cce6ddba2bf 1626298 apt_0.7.13_amd64.deb
 f711523735e9a9cfaf2d954ef2c362458ec17ac18ed6e8548a53d59f969eb00c 106562 libapt-pkg-dev_0.7.13_amd64.deb
 c25b3f7407771bae912d345453de562962c632e227cf441887cfd174b6ff593a 195072 apt-utils_0.7.13_amd64.deb
 def3f1a942b00a3e65aa5971f2a0357784fce36a5a10308e933fddcdbd1ae17a 55292 apt-transport-https_0.7.13_amd64.deb
 3006e22410d72cb19f35b77d0f605bff 1147 admin important apt_0.7.13.dsc
 fa68aa6c7cb7b8fe3ccd8e065a2f1f75 1837918 admin important apt_0.7.13.tar.gz
 a9c2da1e94fb61f5320ed38125475259 95552 doc optional apt-doc_0.7.13_all.deb
 efdda75b7fc65e2e71215629558e7f83 116084 doc optional libapt-pkg-doc_0.7.13_all.deb
 5111282bbb0fd4714f55baf7a8eed91a 1626298 admin important apt_0.7.13_amd64.deb
 bbddda39251f7216d8765fbf40cad659 106562 libdevel optional libapt-pkg-dev_0.7.13_amd64.deb
 d8557c9f2918a1cdd8c8fdd70925ba57 195072 admin important apt-utils_0.7.13_amd64.deb
 0319faa65858beca332a1ff28edc1509 55292 admin optional apt-transport-https_0.7.13_amd64.deb

Version: GnuPG v1.4.6 (GNU/Linux)


--- End Message ---

Reply to: